Bug 1150614 - RFE Rebase mod_security_crs
Summary: RFE Rebase mod_security_crs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mod_security_crs
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: Martin Frodl
Mirek Jahoda
URL:
Whiteboard:
Keywords: FutureFeature, Rebase
Depends On:
Blocks: 1203710 1296594 1313485
TreeView+ depends on / blocked
 
Reported: 2014-10-08 14:07 UTC by Martin Poole
Modified: 2016-11-04 01:37 UTC (History)
12 users (show)

(edit)
_mod_security_crs_ rebased to version 2.2.9

The _mod_security_crs_ package has been upgraded to upstream version 2.2.9, which provides a number of bug fixes and enhancements over the previous version. Notable changes include:

 * A new PHP rule (958977) to detect PHP exploits.
 * A `JS overrides` file to identify successful XSS probes.
 * New XSS detection rules.
 * Fixed session-hijacking rules.
Clone Of:
(edit)
Last Closed: 2016-11-04 01:37:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2248 normal SHIPPED_LIVE mod_security_crs enhancement update 2016-11-03 13:30:17 UTC

Description Martin Poole 2014-10-08 14:07:53 UTC
1. Proposed title of this feature request  
        mod_security_crs-2.2.9
      
    2. Who is the customer behind the request?  
    Account: 	Euro-Information (acct #1220209)  
    TAM customer: no 
    SRM customer: yes  
    Strategic: yes  
      
    3. What is the nature and description of the request?
         upgrade to mod_security_crs-2.2.9 
 
      
    4. Why does the customer need this? (List the business requirements here)  
          mod_security_crs-2.2.6 is old (09/2012) and  mod_security_crs-2.2.9  provides many bug fixes

      
    5. How would the customer like to achieve this? (List the functional requirements here)  
         N/A
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
         N/A
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
         No
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
         Not outlined by the customer
      
    9. Is the sales team involved in this request and do they have any additional input?  
         N/A
      
    10. List any affected packages or components.  
        httpd2.4.6 , mod_security_crs-2.2.6 
      
    11. Would the customer be able to assist in testing this functionality if implemented?  
        N/A

Comment 9 Robert Krátký 2016-04-12 09:24:33 UTC
Hi Dan,

This bug has been selected for inclusion in 7.3 Release Notes. Could you please add info to the Docs Text field, so that I can use it to formulate the release note?

Thanks.

Comment 11 Robert Krátký 2016-07-25 09:06:31 UTC
Hi Daniel,

Josh Bressers requested the inclusion of this in the RN on 2016-03-13. Perhaps the reason is that it's a request from a strategic customer?

Comment 14 errata-xmlrpc 2016-11-04 01:37:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2248.html


Note You need to log in before you can comment on or make changes to this bug.